Package org.eclipse.m2m.atl.engine.vm

# Class Operation

java.lang.Object
org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
org.eclipse.m2m.atl.engine.vm.Operation

Direct Known Subclasses:
  `ASMOperation`, `NativeOperation`

public abstract class Operation extends ASMOclAny

## Field Summary

Fields
Modifier and Type
Field
Description
`static ASMOclType`
`myType`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`nativeImpl`

## Constructor Summary

Constructors
Constructor
Description
`Operation()`

## Method Summary

Modifier and Type
Method
Description
`abstract ASMOclAny`
`exec(StackFrame frame)`
`ASMOclAny`
`get(StackFrame frame, String name)`
`abstract String`
`getContextSignature()`
`abstract ASMOclType`
`getContextType()`
`abstract String`
`getName()`
`abstract List`
`getParameters()`
`abstract ASMOclType`
`getReturnType()`
`abstract String`
`getSignature()`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny

`asBag, asSequence, asSet, check, debug, findOperation, findOperation, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`getNativeImpl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### myType

public static ASMOclType myType

## Constructor Details

### Operation

public Operation()

## Method Details

### getName

public abstract String getName()

### getContextSignature

public abstract String getContextSignature()

### getContextType

public abstract ASMOclType getContextType()

### getParameters

public abstract List getParameters()

### getReturnType

public abstract ASMOclType getReturnType()

### getSignature

public abstract String getSignature()

### exec

public abstract ASMOclAny exec(StackFrame frame)

### get

public ASMOclAny get(StackFrame frame, String name)

Overrides:
  `get` in class `ASMOclAny`